Bug 895536 - Review Request: maven-repository-builder - Maven repository builder
Review Request: maven-repository-builder - Maven repository builder
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850077
  Show dependency treegraph
 
Reported: 2013-01-15 08:36 EST by Tomas Radej
Modified: 2013-04-22 00:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-13 05:08:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sochotni: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tomas Radej 2013-01-15 08:36:04 EST
Spec URL: http://tradej.fedorapeople.org/reviews/maven-repository-builder/0.1.alpha2/maven-repository-builder.spec
SRPM URL: http://tradej.fedorapeople.org/reviews/maven-repository-builder/0.1.alpha2/maven-repository-builder-1.0-0.1.alpha2.fc17.src.rpm
Description: Maven repository builder.

This is a replacement package for maven-shared-repository-builder

Fedora Account System Username: tradej
Comment 1 Stanislav Ochotnicky 2013-01-28 06:24:38 EST
I'll review this. I also hereby acknowledge that I know this is a package rename
Comment 2 Stanislav Ochotnicky 2013-01-28 07:05:10 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Bundled jar/class files should be removed before build
  Note: Jar files in source (see attachment)
  See: http://fedoraproject.org/wiki/Packaging:Java#Pre-built_JAR_files_.2F_Other_bundled_software'

The jar contains *class file and is in theory covered by bundled libraries
guidelines. I've filed https://fedorahosted.org/fpc/ticket/245 to exempt all
test jar from bundling guidelines

- Changelog in prescribed format.
W: incoherent-version-in-changelog 1.0-0.1.alpha2 ['1:1.0-0.1.alpha2.fc19', '1:1.0-0.1.alpha2']

- jpackage-utils requires are not needed

- If the source package does not include license text(s) as a separate file
  from upstream, the packager SHOULD query upstream to include it.

holding approval based mostly on bundling, let's wait fpc to give their opinion

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: Package contains no bundled libraries without FPC exception.

see issues

[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: Pom files have correct add_maven_depmap call
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: maven-repository-builder-1.0-0.1.alpha2.fc19.noarch.rpm
          maven-repository-builder-javadoc-1.0-0.1.alpha2.fc19.noarch.rpm
maven-repository-builder.noarch: I: enchant-dictionary-not-found en_US
maven-repository-builder.noarch: W: incoherent-version-in-changelog 1.0-0.1.alpha2 ['1:1.0-0.1.alpha2.fc19', '1:1.0-0.1.alpha2']
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint maven-repository-builder maven-repository-builder-javadoc
maven-repository-builder.noarch: W: incoherent-version-in-changelog 1.0-0.1.alpha2 ['1:1.0-0.1.alpha2.fc19', '1:1.0-0.1.alpha2']
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Jar and class files in source
-----------------------------
./maven-repository-builder-1.0-alpha-2/src/test/resources/remote-repository/massembly/210/child/1.0-SNAPSHOT/child-1.0-SNAPSHOT.jar


Requires
--------
maven-repository-builder (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    maven
    maven-artifact-manager
    maven-common-artifact-filters
    maven-project

maven-repository-builder-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
maven-repository-builder:
    maven-repository-builder
    maven-shared-repository-builder
    mvn(org.apache.maven.shared:maven-repository-builder)

maven-repository-builder-javadoc:
    maven-repository-builder-javadoc



MD5-sum check
-------------
http://www.apache.org/licenses/LICENSE-2.0.txt :
  CHECKSUM(SHA256) this package     : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
  CHECKSUM(SHA256) upstream package : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30


Generated by fedora-review 0.4.0 (736af0d) last change: 2013-01-28
Buildroot used: fedora-rawhide-x86_64
Command line :./try-fedora-review -b 895536
Comment 4 Stanislav Ochotnicky 2013-02-14 11:37:16 EST
I am generally fine with fixes, I'd just as for two comments in the specfile:
 1. Describe why you are removing jars in prep
 2. (related to previous) Describe why you are skipping tests

It would be nice to replace those seds with something more reliable, so I've filed bug 911277 to make this easier. I'd suggest you put yourself in CC there and replace seds once javapackages-tools supports this.

APPROVED
Comment 5 Tomas Radej 2013-02-15 05:07:19 EST
New Package SCM Request
=======================
Package Name: maven-repository-builder
Short Description: Maven repository builder
Owners: tradej sochotni mizdebsk msrb
Branches: f18
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2013-02-15 08:30:13 EST
Git done (by process-git-requests).
Comment 7 Mikolaj Izdebski 2013-03-13 05:08:52 EDT
Built for F19: http://koji.fedoraproject.org/koji/buildinfo?buildID=388192
Closing.

Note You need to log in before you can comment on or make changes to this bug.